###########################################################################
#
#    Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#    Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.2 $

__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from ImageFile import ImageFile

misc_ = {
    'Folder_icon.gif': ImageFile('img/Folder_icon.gif', globals()),
    'dtmldoc.gif': ImageFile('img/dtmldoc.gif', globals()),
    }

import news_folder

def initialize(context):
    "Initialize the product."

    # ZBabel support
    try:
	from Products.ZBabel import ZBabelTag
    except:
	import NoBabelTag

    try:
        context.registerClass(
            news_folder.news_folder,
            constructors = (news_folder.manage_add_news_folder_form,
                            news_folder.manage_add_news_folder)
            )
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
    context.registerHelp()
    context.registerHelpTitle('NewsFolder Help')


try:
  from Products.ZBabel.Utils import translate
except:
  from NoBabelTag import translate

methods = { 'translate': translate }
