###########################################################################
#
#    Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#    Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.3 $

__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import OFS.Folder
import news
import base_item
import smtplib


try:
  from Products.ZBabel.Utils import translate
except:
  from NoBabelTag import translate

methods = { 'translate': translate }


manage_add_newsletter_form = HTMLFile('newsletter_add', globals())

def manage_add_newsletter(self, news_items, title, prelude, postlude, REQUEST=None):
    "Add an instance of the Category class"
    try: 
	REQUEST['news_items']
    except AttributeError: raise 'Error', \
	translate ( self, 'No news items selected' )
    new_id = self.get_unique_id()
    connection = smtplib.SMTP(self.mailhost or 'localhost')
    rendered_newsletter = self.make_newsletter(items=news_items, title=title,
                prelude=prelude, postlude=postlude)
    connection.sendmail(self.originator, [self.amplifier],
                rendered_newsletter)
    if REQUEST is None:
        poster = translate ( self, 'Unknown, called via system' )
    else:
        poster = REQUEST['AUTHENTICATED_USER'].getId()
    self._setObject(new_id, newsletter(new_id, poster, title, rendered_newsletter))
    if REQUEST is not None:
        REQUEST.RESPONSE.redirect(self.absolute_url())

class newsletter(
    OFS.Folder.Folder,
    Persistent,
    Acquisition.Implicit,
    AccessControl.Role.RoleManager,
    base_item.base_item
    ):
    "Documentation string"

    meta_type = 'Newsletter'
    icon = 'misc_/NewsFolder/dtmldoc.gif'

    _properties = (
        {'id':'title', 'type':'string'},
        {'id':'body', 'type':'text'},
        )

    __ac_permissions__ = (
        ('View management screens',
         ('manage_tabs', 'manage_main')),
        ('Change Permissions',
         ('manage_access',)),
        ('View newsletters',
         ('',)),
        )

    index_html = HTMLFile('newsletter_index', globals())

    def render_date_time(self):
        """Returns a string representing the date and time
        this object was published via email."""
        return str(self.bobobase_modification_time())[:16]

    def __init__(self, id, poster, title='', body=''):
        "Initialize the class instance"
        self.id = id
        self.poster = poster
        self.title = title
        self.body = body

default__class_init__(newsletter)

